import { path } from "ramda";
import { parse } from "yaml";
import { fs } from "zx";

const loadParamsYaml = async () => {
    const yaml = await fs.readFile("params.yaml", "utf-8");
    const params = parse(yaml);
    return params;
}

/** @typedef {import("ramda").Path} Path */

/** @param {Path} p */
const getParam = async (p) => {
    const params = await loadParamsYaml();
    return path(p, params);
}

export {
    getParam
}
